%define major		4
%define api		2
%define libname		%mklibname gnome-games-support %{api} %{major}
%define develname	%mklibname gnome-games-support -d

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		libgnome-games-support
Version:	2.0.0
Release:	%mkrel 1
Summary:	Support library for GNOME games
Group:		Development/GNOME and GTK+
License:	LGPLv3+
URL:		https://git.gnome.org/browse/%{name}/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(glib-2.0) >= 2.40
BuildRequires:	pkgconfig(gio-2.0) >= 2.40
BuildRequires:  pkgconfig(gtk4)
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	gettext
BuildRequires:	meson
BuildRequires:	vala

%description
libgnome-games-support is a small library intended for internal use by GNOME Games,
but it may be used by others. The API will only break with the major version
number. The ABI is unstable.

#------------------------------------

%package	i18n
Summary:	Support library for GNOME games - translations
Group:		System/Internationalization
BuildArch:	noarch

Obsoletes:	libgames-support-i18n < 1.0.2-2

%description	i18n
libgnome-games-support is a small library intended for internal use by GNOME Games,
but it may be used by others. The API will only break with the major version
number. The ABI is unstable.

This package contains translations used by %{name}.

#------------------------------------

%package -n	%{libname}
Summary:	Library for %{name}
Group:		System/Libraries
Requires:	%{name}-i18n = %{version}-%{release}

Obsoletes:	%{_lib}games-support2 < 1.0.2-2

%description -n %{libname}
libgnome-games-support is a small library intended for internal use by GNOME Games,
but it may be used by others. The API will only break with the major version
number. The ABI is unstable.

#------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

Obsoletes:	%{_lib}games-support-devel < 1.0.2-2

%description -n %{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

#------------------------------------

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%find_lang libgnome-games-support2

%files i18n -f libgnome-games-support2.lang

%files -n %{libname}
%doc README
%license COPYING.LESSER
%{_libdir}/%{name}-%{api}.so.%{major}{,.*}

%files -n %{develname}
%doc README
%license COPYING.LESSER
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/*.vapi
%{_includedir}/gnome-games-support-%{api}/
%{_libdir}/%{name}-%{api}.so
%{_libdir}/pkgconfig/%{name}*.pc


%changelog
* Sat Sep 30 2023 tv <tv> 2.0.0-1.mga10
+ Revision: 1992577
- Update to 2.0.0

* Wed Mar 30 2022 umeabot <umeabot> 1.8.2-2.mga9
+ Revision: 1835516
- Mageia 9 Mass Rebuild
+ ovitters <ovitters>
- new version 1.8.2

* Mon Mar 22 2021 ovitters <ovitters> 1.8.1-1.mga9
+ Revision: 1708019
- new version 1.8.1

* Sat Sep 12 2020 ovitters <ovitters> 1.8.0-1.mga8
+ Revision: 1624856
- new version 1.8.0

* Thu Jul 09 2020 ovitters <ovitters> 1.7.1-1.mga8
+ Revision: 1603443
- new version 1.7.1

* Thu Mar 26 2020 ovitters <ovitters> 1.6.1-1.mga8
+ Revision: 1560845
- new version 1.6.1

* Thu Mar 05 2020 ovitters <ovitters> 1.6.0.1-1.mga8
+ Revision: 1554192
- new version 1.6.0.1
- new version 1.6.0

* Wed Mar 04 2020 daviddavid <daviddavid> 1.5.90-1.mga8
+ Revision: 1553787
- new version 1.5.90
- switch to meson build system

* Sun Feb 16 2020 umeabot <umeabot> 1.4.4-2.mga8
+ Revision: 1530537
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Sep 02 2019 ovitters <ovitters> 1.4.4-1.mga8
+ Revision: 1436419
- new version 1.4.4

* Tue Dec 11 2018 ovitters <ovitters> 1.4.3-1.mga7
+ Revision: 1340311
- new version 1.4.3

* Sat Sep 15 2018 daviddavid <daviddavid> 1.4.2-2.mga7
+ Revision: 1259158
- obsoletes the old libgames-support pkgs

* Mon Aug 13 2018 ovitters <ovitters> 1.4.2-1.mga7
+ Revision: 1251211
- new version 1.4.2

* Wed Mar 21 2018 ovitters <ovitters> 1.4.1-1.mga7
+ Revision: 1211167
- new version 1.4.1

* Sat Mar 10 2018 ovitters <ovitters> 1.4.0-1.mga7
+ Revision: 1208013
- new version 1.4.0

* Wed Feb 21 2018 ovitters <ovitters> 1.3.90-1.mga7
+ Revision: 1204049
- bump major
- new version 1.3.90

* Sat Sep 09 2017 ovitters <ovitters> 1.2.3-1.mga7
+ Revision: 1152059
- new version 1.2.3

* Mon Jul 17 2017 ovitters <ovitters> 1.2.2-1.mga7
+ Revision: 1124649
- new version 1.2.2

* Tue Oct 25 2016 ovitters <ovitters> 1.2.1-1.mga6
+ Revision: 1063444
- new version 1.2.1

* Thu Sep 22 2016 ovitters <ovitters> 1.2.0-1.mga6
+ Revision: 1055215
- new version 1.2.0
- Upstream renamed the package

* Sat May 07 2016 ovitters <ovitters> 1.0.2-1.mga6
+ Revision: 1010120
- new version 1.0.2

* Fri Apr 08 2016 daviddavid <daviddavid> 1.0.1-1.mga6
+ Revision: 999483
- new version: 1.0.1

* Mon Mar 21 2016 ovitters <ovitters> 1.0-1.mga6
+ Revision: 993666
- new version 1.0

* Sun Mar 06 2016 ovitters <ovitters> 0.91-1.mga6
+ Revision: 986871
- new version 0.91

* Tue Feb 16 2016 daviddavid <daviddavid> 0.90-1.mga6
+ Revision: 961903
- imported package libgames-support

